Imagick::compareImages
Imagick::__construct
The Imagick class
PHP Manual

# Imagick::compositeImage

(PECL imagick 2.0.0)

Imagick::compositeImage — Composite one image onto another

### Description

bool Imagick::compositeImage ( Imagick `$composite_object` , int `$composite` , int `$x` , int `$y` [, int `$channel` = Imagick::CHANNEL_ALL ] )
Warning

This function is currently not documented; only its argument list is available.

Composite one image onto another at the specified offset.

### Parameters

`composite_object`

  Imagick object which holds the composite image

`compose`

  Composite operator. See Composite Operator Constants

`x`

  The column offset of the composited image

`y`

  The row offset of the composited image

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to `Imagick::CHANNEL_ALL`. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

Imagick::compareImages
Imagick::__construct
The Imagick class
PHP Manual